diagrams-lib-0.7.1.1: Embedded domain-specific language for declarative graphics

Maintainer | diagrams-discuss@googlegroups.com
Safe Haskell | None

Diagrams.ThreeD.Shapes

Description

Various three-dimensional shapes.

# Documentation

data Ellipsoid Source

Constructors

Ellipsoid T3 |

Instances

IsPrim Ellipsoid |
Transformable Ellipsoid |
Renderable Ellipsoid NullBackend |

sphere :: (Backend b R3, Renderable Ellipsoid b) => Diagram b R3 Source